=== CppUnit/Makefile ===
#
# Makefile
#
# Makefile for Poco CppUnit
#

include $(POCO_BASE)/build/rules/global

objects = CppUnitException TestDecorator TestResult TestSuite \
	TestCase TestFailure TestRunner TextTestResult

target         = CppUnit
target_version = 1
target_libs    =

include $(POCO_BASE)/build/rules/lib
