=== debian/changelog ===
poco (1.8.0.1-1ubuntu4) bionic; urgency=medium

  * Fix -dev package dep on mariadb as well, not just the build-dependency.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 09:16:34 +0000

poco (1.8.0.1-1ubuntu3) bionic; urgency=medium

  * Switch back to default-libmysqlclient-dev, since there are
    reverse-dependencies that require it.
  * debian/patches/MySQL-5.7-compatibility.patch: Find libmysqlclient
    instead of the obsolete libmysqlclient_r.  Closes: #889625.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 05:38:59 +0000

poco (1.8.0.1-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:52:04 +0000

poco (1.8.0.1-1ubuntu1) bionic; urgency=medium

  * Build-depend on libmariadbclient-dev-compat, not
    default-libmysqlclient-dev, fixing a build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Feb 2018 06:09:19 +0000

poco (1.8.0.1-1) unstable; urgency=medium

  * New upstream version 1.8.0.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Nov 2017 20:42:26 +0100

poco (1.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Nov 2017 19:56:09 +0100

poco (1.8.0-1) experimental; urgency=medium

  * Include json parser again (license resolved upstream)
  * New upstream version 1.8.0
  * Update copyright
  * Rebase patches
  * Update package names due to Soname bump
  * Add more failing tests
  * Add JSON and Redis libraries (Closes: #856192)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 11 Nov 2017 20:05:44 +0100

poco (1.7.9p2+dfsg1-2) unstable; urgency=medium

  * Disable wonky tests (failed on s390x)
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Nov 2017 15:30:42 +0100

poco (1.7.9p2+dfsg1-1) experimental; urgency=medium

  * Add more architecture fixes
  * New upstream version 1.7.9p2+dfsg1

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 09 Nov 2017 23:37:48 +0100

poco (1.7.9p1+dfsg1-3) experimental; urgency=medium

  * Fix typo in patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 08 Nov 2017 18:13:59 +0100

poco (1.7.9p1+dfsg1-2) experimental; urgency=medium

  * Add architecture dependant patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 08 Nov 2017 15:51:27 +0100

poco (1.7.9p1+dfsg1-1) experimental; urgency=medium

  * Find patch releases with uscan
  * New upstream version 1.7.9p1+dfsg1
  * Move to cmake
  * Rework patches
  * Update package names due to Soname bump
  * Update standards version (no changes needed)
  * Install cmake files (Closes: #880614)
  * Simplify dependencies
  * Add special handling for armel again
  * Disable tests failing on armel

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Nov 2017 15:44:33 +0100

poco (1.7.8+dfsg1-3) unstable; urgency=medium

  * Add patch for m86k.
    Thanks to John Paul Adrian Glaubitz (Closes: #868078)
  * Fix typo in description (Closes: #872786)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Aug 2017 06:29:37 +0200
